apt 3.1.11 commandline package manager

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IndexCopy Class Referenceabstract
Inheritance diagram for IndexCopy:

## Public Member Functions
bool | CopyPackages (std::string CDROM, std::string Name, std::vector< std::string > &List, pkgCdromStatus *log)

## Protected Member Functions
std::string | ChopDirs (std::string Path, unsigned int Depth)
bool | ReconstructPrefix (std::string &Prefix, std::string OrigPath, std::string CD, std::string File)
bool | ReconstructChop (unsigned long &Chop, std::string Dir, std::string File)
void | ConvertToSourceList (std::string CD, std::string &Path)
bool | GrabFirst (std::string Path, std::string &To, unsigned int Depth)
virtual bool | GetFile (std::string &Filename, unsigned long long &Size)=0
virtual bool | RewriteEntry (FileFd &Target, std::string const &File)=0
virtual const char * | GetFileName ()=0
virtual const char * | Type ()=0

## Protected Attributes
pkgTagSection * | Section

The documentation for this class was generated from the following files:

- apt-pkg/indexcopy.h
- apt-pkg/indexcopy.cc